Bug 1889988 (CVE-2020-25659) - CVE-2020-25659 python-cryptography: bleichenbacher timing oracle attack against RSA decryption
Summary: CVE-2020-25659 python-cryptography: bleichenbacher timing oracle attack again...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-25659
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1927618 1927619 1935588 1935589 1935590 1969515 1873581 1927616 1927617 1928183 1929131 1929461 1929462
Blocks: 1889989
TreeView+ depends on / blocked
 
Reported: 2020-10-21 07:29 UTC by Huzaifa S. Sidhpurwala
Modified: 2021-06-16 21:26 UTC (History)
45 users (show)

Fixed In Version: python-cryptography 3.2
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in python-cryptography, where it is vulnerable to Bleichenbacher timing attacks. This flaw allows an attacker, via the RSA decryption API, to decrypt parts of the ciphertext encrypted with RSA. The highest threat from this vulnerability is to confidentiality.
Clone Of:
Environment:
Last Closed: 2021-05-18 20:36:49 UTC


Attachments (Terms of Use)

Description Huzaifa S. Sidhpurwala 2020-10-21 07:29:56 UTC
python-cryptography is vulnerable to Bleichenbacher timing attacks in the RSA decryption API, via timed processing of valid PKCS#1 v1.5 ciphertext.

Comment 4 Huzaifa S. Sidhpurwala 2021-02-11 07:03:53 UTC
Acknowledgments:

Name: Hubert Kario (Red Hat)

Comment 6 Christian Heimes 2021-02-11 07:37:38 UTC
The upstream patch in python-cryptography >= 3.2 is only a partial mitigation against Bleichenbacher attacks.

Quote from upstream changelog:

    **SECURITY ISSUE:** Attempted to make RSA PKCS#1v1.5 decryption more constant
    time, to protect against Bleichenbacher vulnerabilities. Due to limitations
    imposed by our API, we cannot completely mitigate this vulnerability and a
    future release will contain a new API which is designed to be resilient to
    these for contexts where it is required. Credit to **Hubert Kario** for
    reporting the issue. *CVE-2020-25659*

RHEL 8.4 and newer have a recent version of python-cryptography with partial mitigation. RHBZ #1873581 is the rebase ticket for update to 3.2.1.

Comment 9 Yadnyawalk Tale 2021-02-12 15:31:22 UTC
CloudForms stopped shipping python-cryptography 5.11 (5.0) onward. Support for 5.10 (4.7) is EOL from February 7, 2021. Please refer CloudForms Lifecycle page for more information: https://access.redhat.com/support/policy/updates/cloudforms

Comment 10 Summer Long 2021-02-16 05:43:59 UTC
External References:

https://cryptography.io/en/latest/changelog.html#v3-2

Comment 13 Summer Long 2021-02-17 00:48:52 UTC
Created python-cryptography tracking bugs for this issue:

Affects: openstack-rdo [bug 1929462]

Comment 16 Summer Long 2021-03-15 01:21:39 UTC
Statement:

In Red Hat OpenStack Platform, because the flaw has a lower impact and the fix would require a substantial amount of development, no update will be provided at this time for the RHOSP python-cryptography package.

Comment 25 errata-xmlrpc 2021-05-18 13:40:00 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:1608 https://access.redhat.com/errata/RHSA-2021:1608

Comment 26 Product Security DevOps Team 2021-05-18 20:36:49 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-25659

Comment 27 errata-xmlrpc 2021-06-03 10:24:19 UTC
This issue has been addressed in the following products:

  Red Hat Virtualization 4 for Red Hat Enterprise Linux 8

Via RHSA-2021:2239 https://access.redhat.com/errata/RHSA-2021:2239


Note You need to log in before you can comment on or make changes to this bug.